<ui:composition
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">


    <s:decorate template="/layout/cards/_card.xhtml">
        <ui:param name="showCard" value="true"/>
        <ui:define name="card-header">
            <i class="fa fa-sitemap"/>
            <span>#{messages['gazelle.common.menu.NetworkConfiguration']} </span>
        </ui:define>
        <ui:define name="card-body">
            <span>#{messages['net.ihe.gazelle.tm.ThereIsATotalOf']} #{statisticsForPreparationPhaseBeanGui.getNumberOfSUTNetworkConfigurations()} #{messages['net.ihe.gazelle.tm.SUTsNetworkInterfacesGenerated']}</span>

            <div class="preparation-bar-title "><br/>#{messages['net.ihe.gazelle.tm.StatusOfSUTsNetworkInterfaces']}</div>
            <div class="progress preparation-progress-bar" style="width: 70%">
                <div class="progress-bar preparation-progress-bar-value progress-bar-success"
                     role="progressbar"
                     style="#{statisticsForPreparationPhaseBeanGui.getAcceptedSUTNetworkConfigurationStyle()}; "
                     title="#{statisticsForPreparationPhaseBeanGui.getNumberOfAcceptedSUTNetworkConfigurations()} #{messages['net.ihe.gazelle.tm.SUTsNetworkInterfacesAccepted']}">
                    #{statisticsForPreparationPhaseBeanGui.getNumberOfAcceptedSUTNetworkConfigurations()}
                </div>
                <div class="progress-bar preparation-progress-bar-value progress-bar-striped progress-bar-warning"
                     role="progressbar"
                     style = "display:#{statisticsForPreparationPhaseBeanGui.getNumberOfNotAcceptedSutNetworkConfigurations() == 0 ?'none':statisticsForPreparationPhaseBeanGui.getNumberOfNotAcceptedSutNetworkConfigurations()};#{statisticsForPreparationPhaseBeanGui.getNotAcceptedSUTNetworkConfigurationStyle()}"
                     title="#{statisticsForPreparationPhaseBeanGui.getNumberOfNotAcceptedSutNetworkConfigurations()}  #{messages['net.ihe.gazelle.tm.SUTsNetworkInterfacesNotAccepted']}">
                    #{statisticsForPreparationPhaseBeanGui.getNumberOfNotAcceptedSutNetworkConfigurations()}
                </div>
            </div>

            <span>#{messages['net.ihe.gazelle.tm.ThereIsATotalOf']} #{statisticsForPreparationPhaseBeanGui.getNumberOfGeneratedHosts()} #{messages['net.ihe.gazelle.tm.HostsGenerated']}</span>
            <div class="preparation-bar-title "><br/>#{messages['net.ihe.gazelle.tm.StatusOfHostConfiguration']}</div>
            <div class="progress preparation-progress-bar" style="width: 70%">
                <div class="progress-bar preparation-progress-bar-value progress-bar-success"
                     role="progressbar"
                     style="#{statisticsForPreparationPhaseBeanGui.getNumberOfGeneratedHostsWithIPStyle()}; "
                     title="#{statisticsForPreparationPhaseBeanGui.getNumberOfGeneratedHostsWithIP()} #{messages['net.ihe.gazelle.tm.HostsWithIp']}">
                    #{statisticsForPreparationPhaseBeanGui.getNumberOfGeneratedHostsWithIP()}
                </div>
                <div class="progress-bar preparation-progress-bar-value progress-bar-striped progress-bar-warning"
                     role="progressbar"
                     style = "display:#{statisticsForPreparationPhaseBeanGui.getNumberOfGeneratedHostsWithoutIP() == 0 ?'none':statisticsForPreparationPhaseBeanGui.getNumberOfGeneratedHostsWithoutIP()};#{statisticsForPreparationPhaseBeanGui.getNumberOfGeneratedHostsWithoutIPStyle()}"
                     title="#{statisticsForPreparationPhaseBeanGui.getNumberOfGeneratedHostsWithoutIP()} #{messages['net.ihe.gazelle.tm.HostsWithoutIp']}">
                    #{statisticsForPreparationPhaseBeanGui.getNumberOfGeneratedHostsWithoutIP()}
                </div>
            </div>
            <span>#{messages['net.ihe.gazelle.tm.UseOfProxyIs']} <s:span styleClass="network-bold-green"
                                          rendered="#{statisticsForPreparationPhaseBeanGui.isProxyUseEnabled()}">#{messages['net.ihe.gazelle.tm.Enabled']}</s:span> <s:span
                    styleClass="network-bold-red"
                    rendered="#{!statisticsForPreparationPhaseBeanGui.isProxyUseEnabled()}">#{messages['net.ihe.gazelle.tm.Disabled']}</s:span></span>
        </ui:define>
        <ui:define name="card-footer">
            <div class="col-sm-offset-2 col-sm-8">
                <h:commandButton id="manageProxyNetwork" styleClass="gzl-btn gzl-btn-green form-control"
                                 value="#{messages['net.ihe.gazelle.tm.EditProxyAndNetworkDetails']}"
                                 action="#{statisticsForPreparationPhaseBeanGui.getProxyAndNetworkDetailsLink()}"/>
            </div>
        </ui:define>
    </s:decorate>
</ui:composition>